Uploaded image for project: 'Nuxeo Platform'
  1. Nuxeo Platform
  2. NXP-29271

Investigate the usage of newer versions of jsplumb

    Details

    • Type: Task
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Web UI

      Description

      Followup of NXP-29221: the jsplumb version was fixed to 2.13.0 because newer versions were introducing an issue with the drawing of the transitions.

      Goals:

      • Try the latest version of jsplumb. If NXP-29221 is no longer reproducible, we should be safe to upgrade (nothing else needs to be done).
      • Figure out what has changed in jsplumb between 2.13.0 and 2.13.1.
      • Investigate if we can rely on the latest version of jsplumb by unlocking the version (back to a ^ or ~ version) and tweaking its use to avoid problems like NXP-29221. Either we can adapt what we have to work properly with the latest version of jsplumb or we will able to understand what's wrong with it and fill and report an issue.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                mnixo Miguel Nixo
                Participants:
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:

                  PagerDuty

                  Error rendering 'com.pagerduty.jira-server-plugin:PagerDuty'. Please contact your Jira administrators.